    POSTQUEUE(1)                                         POSTQUEUE(1)

    NAME
           postqueue - Postfix queue control

    SYNOPSIS
           postqueue [-c config_dir] -f
           postqueue [-c config_dir] -p
           postqueue [-c config_dir] -s site

    DESCRIPTION
           The  postqueue  program implements the Postfix user inter-
           face for queue management. It implements  operations  that
           are  traditionally  available via the sendmail(1) command.
           See the postsuper(1) command  for  queue  operations  that
           require  super-user  privileges such as deleting a message
           from the queue or changing the status of a message.

           The following options are recognized:

           -c config_dir
                  The main.cf configuration  file  is  in  the  named
                  directory  instead  of  the  default  configuration
                  directory. See  also  the  MAIL_CONFIG  environment
                  setting below.

           -f     Flush  the  queue:  attempt  to  deliver all queued
                  mail.

                  This option implements the traditional sendmail  -q
                  command,  by contacting the Postfix qmgr(8) daemon.

                  Warning:  flushing  undeliverable  mail  frequently
                  will  result  in  poor  delivery performance of all
                  other mail.

           -p     Produce a traditional sendmail-style queue listing.
                  This  option  implements the traditional mailq com-
                  mand, by contacting the Postfix showq(8) daemon.

                  Each queue entry shows the queue file  ID,  message
                  size, arrival time, sender, and the recipients that
                  still need to be delivered.  If mail could  not  be
                  delivered  upon  the  last  attempt, the reason for
                  failure is shown. This mode of operation is  imple-
                  mented  by  executing the postqueue(1) command. The
                  queue ID string is followed by an  optional  status
                  character:

                  *      The message is in the active queue, i.e. the
                         message is selected for delivery.

                  !      The message is in the hold  queue,  i.e.  no
                         further  delivery attempt will be made until
                         the mail is taken off hold.

           -s site
                  Schedule immediate delivery of  all  mail  that  is
                  queued  for the named site. The site must be eligi-
                  ble for the "fast flush" service.  See flush(8) for
                  more information about the "fast flush" service.

                  This  option  implements  the  traditional sendmail
                  -qRsite command, by contacting the Postfix flush(8)
                  daemon.

           -v     Enable verbose logging for debugging purposes. Mul-
                  tiple -v options  make  the  software  increasingly
                  verbose.

    SECURITY
           This  program  is designed to run with set-group ID privi-
           leges, so that it can connect to Postfix daemon processes.

    DIAGNOSTICS
           Problems  are  logged  to  syslogd(8)  and to the standard
           error stream.

    ENVIRONMENT
           MAIL_CONFIG
                  Directory with the main.cf file. In order to  avoid
                  exploitation  of  set-group  ID  privileges, a non-
                  standard directory is allowed only if:

                  o      The name is listed in the  standard  main.cf
                         file  with  the alternate_config_directories
                         configuration parameter.

                  o      The command is invoked by the super-user.

    CONFIGURATION PARAMETERS
           The following main.cf parameters are  especially  relevant
           to this program.  The text below provides only a parameter
           summary. See postconf(5) for more details including  exam-
           ples.

           alternate_config_directories (empty)
                  A  list of non-default Postfix configuration direc-
                  tories that may be specified with "-c config_direc-
                  tory"  on  the command line, or via the MAIL_CONFIG
                  environment parameter.

           config_directory (see 'postconf -d' output)
                  The default location of  the  Postfix  main.cf  and
                  master.cf configuration files.

           command_directory (see 'postconf -d' output)
                  The  location  of  all  postfix administrative com-
                  mands.

           fast_flush_domains ($relay_domains)
                  Optional list of destinations that are eligible for
                  per-destination  logfiles  with mail that is queued
                  to those destinations.

           import_environment (see 'postconf -d' output)
                  The list of environment parameters that  a  Postfix
                  process  will import from a non-Postfix parent pro-
                  cess.

           queue_directory (see 'postconf -d' output)
                  The location of the Postfix top-level queue  direc-
                  tory.

           syslog_facility (mail)
                  The syslog facility of Postfix logging.

           syslog_name (postfix)
                  The  mail system name that is prepended to the pro-
                  cess  name  in  syslog  records,  so  that  "smtpd"
                  becomes, for example, "postfix/smtpd".

           trigger_timeout (10s)
                  The  time  limit for sending a trigger to a Postfix
                  daemon (for example, the pickup(8) or qmgr(8)  dae-
                  mon).

    FILES
           /var/spool/postfix, mail queue

    SEE ALSO
           qmgr(8), queue manager
           showq(8), list mail queue
           flush(8), fast flush service
           sendmail(1), Sendmail-compatible user interface
           postsuper(1), privileged queue operations

    README FILES
           ETRN_README, Postfix ETRN howto

    LICENSE
           The Secure Mailer license must be  distributed  with  this
           software.

    HISTORY
           The  postqueue command was introduced with Postfix version
           1.1.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                         POSTQUEUE(1)